Index: code/branches/buildsystem/cmake/CheckTardis.cmake
===================================================================
--- code/branches/buildsystem/cmake/CheckTardis.cmake	(revision 1978)
+++ code/branches/buildsystem/cmake/CheckTardis.cmake	(revision 1981)
@@ -35,7 +35,9 @@
 IF (IS_TARDIS)
   MESSAGE(STATUS "Running on D-ITET isg.ee Tardis Computer. Using customized paths.")
-  SET(CMAKE_C_COMPILER "gcc-4.1.1")
-  SET(CMAKE_CXX_COMPILER "g++-4.1.1")
-  SET(BOOST_ROOT "/usr/pack/boost-1.34.1-sd/i686-debian-linux3.1")
-  SET($ENV{LUA_DIR} "/usr/pack/lua-5.0.3-sd/i686-debian-linux3.1/lib")
+  SET(CMAKE_C_COMPILER "gcc-4.2.2")
+  SET(CMAKE_CXX_COMPILER "g++-4.2.2")
+  #SET(BOOST_ROOT "/usr/pack/boost-1.36.0-sd/i686-debian-linux4.0")
+  SET(BOOST_INCLUDEDIR "/usr/pack/boost-1.36.0-sd/include/boost-1_36/boost")
+  SET(BOOST_LIBRARYDIR "/usr/pack/boost-1.36.0-sd/i686-debian-linux4.0/lib")
+  SET(ENV{LUA_DIR} "/usr/pack/lua-5.0.3-sd;/usr/pack/lua-5.0.3-sd/i686-debian-linux3.1")
 ENDIF (IS_TARDIS)
Index: code/branches/buildsystem/cmake/FindLua50.cmake
===================================================================
--- code/branches/buildsystem/cmake/FindLua50.cmake	(revision 1978)
+++ 	(revision )
@@ -1,101 +1,0 @@
-# Locate Lua library
-# This module defines
-#  LUA_LIBRARIES, both lua and lualib
-#  LUA_FOUND, if false, do not try to link to Lua 
-#  LUA_INCLUDE_DIR, where to find lua.h and lualib.h (and probably lauxlib.h)
-#
-# Note that the expected include convention is
-#  #include "lua.h"
-# and not
-#  #include <lua/lua.h>
-# This is because, the lua location is not standardized and may exist
-# in locations other than lua/
-
-
-FIND_PATH(LUA_INCLUDE_DIR lua.h
-  PATHS
-  $ENV{LUA_DIR}
-  NO_DEFAULT_PATH
-  PATH_SUFFIXES include/lua50 include/lua5.0 include/lua5 include/lua include
-)
-
-FIND_PATH(LUA_INCLUDE_DIR lua.h
-  PATHS
-  ~/Library/Frameworks
-  /Library/Frameworks
-  /usr/local
-  /usr
-  /sw # Fink
-  /opt/local # DarwinPorts
-  /opt/csw # Blastwave
-  /opt
-  PATH_SUFFIXES include/lua50 include/lua5.0 include/lua5 include/lua include
-)
-
-FIND_LIBRARY(LUA_LIBRARY_lua 
-  NAMES lua50 lua5.0 lua5 lua
-  PATHS
-  $ENV{LUA_DIR}
-  NO_DEFAULT_PATH
-    PATH_SUFFIXES lib64 lib
-)
-
-FIND_LIBRARY(LUA_LIBRARY_lua
-  NAMES lua50 lua5.0 lua5 lua
-  PATHS
-  ~/Library/Frameworks
-  /Library/Frameworks
-  /usr/local
-  /usr
-  /sw
-  /opt/local
-  /opt/csw
-  /opt
-    PATH_SUFFIXES lib64 lib
-)
-
-# In an OS X framework, lualib is usually included as part of the framework
-# (like GLU in OpenGL.framework)
-IF(${LUA_LIBRARY_lua} MATCHES "framework")
-  SET( LUA_LIBRARIES "${LUA_LIBRARY_lua}" CACHE STRING "Lua framework")
-ELSE(${LUA_LIBRARY_lua} MATCHES "framework")
-  FIND_LIBRARY(LUA_LIBRARY_lualib 
-    NAMES lualib50 lualib5.0 lualib5 lualib
-    PATHS
-    $ENV{LUALIB_DIR}
-    $ENV{LUA_DIR}
-    NO_DEFAULT_PATH
-    PATH_SUFFIXES lib64 lib
-  )
-
-  FIND_LIBRARY(LUA_LIBRARY_lualib 
-    NAMES lualib50 lualib5.0 lualib5 lualib
-    PATHS
-    /usr/local
-    /usr
-    /sw
-    /opt/local
-    /opt/csw
-    /opt
-    PATH_SUFFIXES lib64 lib
-  )
-  IF(LUA_LIBRARY_lualib AND LUA_LIBRARY_lua)
-    # include the math library for Unix
-    IF(UNIX AND NOT APPLE)
-      FIND_LIBRARY(MATH_LIBRARY_FOR_LUA m)
-      SET( LUA_LIBRARIES "${LUA_LIBRARY_lualib};${LUA_LIBRARY_lua};${MATH_LIBRARY_FOR_LUA}" CACHE STRING "This is the concatentation of lua and lualib libraries")
-    # For Windows and Mac, don't need to explicitly include the math library
-    ELSE(UNIX AND NOT APPLE)
-      SET( LUA_LIBRARIES "${LUA_LIBRARY_lualib};${LUA_LIBRARY_lua}" CACHE STRING "This is the concatentation of lua and lualib libraries")
-    ENDIF(UNIX AND NOT APPLE)
-  ENDIF(LUA_LIBRARY_lualib AND LUA_LIBRARY_lua)
-ENDIF(${LUA_LIBRARY_lua} MATCHES "framework")
-
-
-INCLUDE(FindPackageHandleStandardArgs)
-# handle the QUIETLY and REQUIRED arguments and set LUA_FOUND to TRUE if 
-# all listed variables are TRUE
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(Lua50  DEFAULT_MSG  LUA_LIBRARIES LUA_INCLUDE_DIR)
-
-MARK_AS_ADVANCED(LUA_INCLUDE_DIR LUA_LIBRARIES)
-
Index: code/branches/buildsystem/cmake/FindLua51.cmake
===================================================================
--- code/branches/buildsystem/cmake/FindLua51.cmake	(revision 1978)
+++ 	(revision )
@@ -1,74 +1,0 @@
-# Locate Lua library
-# This module defines
-#  LUA_LIBRARIES
-#  LUA_FOUND, if false, do not try to link to Lua 
-#  LUA_INCLUDE_DIR, where to find lua.h 
-#
-# Note that the expected include convention is
-#  #include "lua.h"
-# and not
-#  #include <lua/lua.h>
-# This is because, the lua location is not standardized and may exist
-# in locations other than lua/
-
-
-FIND_PATH(LUA_INCLUDE_DIR lua.h
-  PATHS
-  $ENV{LUA_DIR}
-  NO_DEFAULT_PATH
-  PATH_SUFFIXES include/lua51 include/lua5.1 include/lua include
-)
-
-FIND_PATH(LUA_INCLUDE_DIR lua.h
-  PATHS
-  ~/Library/Frameworks
-  /Library/Frameworks
-  /usr/local
-  /usr
-  /sw # Fink
-  /opt/local # DarwinPorts
-  /opt/csw # Blastwave
-  /opt
-  PATH_SUFFIXES include/lua51 include/lua5.1 include/lua include
-)
-
-FIND_LIBRARY(LUA_LIBRARY 
-  NAMES lua51 lua5.1 lua
-  PATHS
-  $ENV{LUA_DIR}
-  NO_DEFAULT_PATH
-    PATH_SUFFIXES lib64 lib
-)
-
-FIND_LIBRARY(LUA_LIBRARY
-  NAMES lua51 lua5.1 lua
-  PATHS
-  ~/Library/Frameworks
-  /Library/Frameworks
-  /usr/local
-  /usr
-  /sw
-  /opt/local
-  /opt/csw
-  /opt
-    PATH_SUFFIXES lib64 lib
-)
-
-IF(LUA_LIBRARY)
-  # include the math library for Unix
-  IF(UNIX AND NOT APPLE)
-    FIND_LIBRARY(LUA_MATH_LIBRARY m)
-    SET( LUA_LIBRARIES "${LUA_LIBRARY};${LUA_MATH_LIBRARY}" CACHE STRING "Lua Libraries")
-  # For Windows and Mac, don't need to explicitly include the math library
-  ELSE(UNIX AND NOT APPLE)
-    SET( LUA_LIBRARIES "${LUA_LIBRARY}" CACHE STRING "Lua Libraries")
-  ENDIF(UNIX AND NOT APPLE)
-ENDIF(LUA_LIBRARY)
-
-INCLUDE(FindPackageHandleStandardArgs)
-# handle the QUIETLY and REQUIRED arguments and set LUA_FOUND to TRUE if 
-# all listed variables are TRUE
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(Lua50  DEFAULT_MSG  LUA_LIBRARIES LUA_INCLUDE_DIR)
-
-MARK_AS_ADVANCED(LUA_INCLUDE_DIR LUA_LIBRARIES LUA_LIBRARY LUA_MATH_LIBRARY)
-
